import { type IContainerPlugin, type ICoordinates, type Particle, type RecursivePartial, type SingleOrMultiple } from "tsparticles-engine";
import type { Absorber } from "./Options/Classes/Absorber";
import type { AbsorberContainer } from "./AbsorberContainer";
import { AbsorberInstance } from "./AbsorberInstance";
import type { IAbsorber } from "./Options/Interfaces/IAbsorber";
export declare class Absorbers implements IContainerPlugin {
    private readonly container;
    absorbers: SingleOrMultiple<Absorber>;
    array: AbsorberInstance[];
    interactivityAbsorbers: SingleOrMultiple<Absorber>;
    constructor(container: AbsorberContainer);
    addAbsorber(options: RecursivePartial<IAbsorber>, position?: ICoordinates): AbsorberInstance;
    draw(context: CanvasRenderingContext2D): void;
    handleClickMode(mode: string): void;
    init(): Promise<void>;
    particleUpdate(particle: Particle): void;
    removeAbsorber(absorber: AbsorberInstance): void;
    resize(): void;
    stop(): void;
}
